# Uses of Interface
org.eclipse.emf.cdo.etypes.EtypesFactory

Packages that use EtypesFactory
Package
Description
org.eclipse.emf.cdo.etypes
The generated EMF API of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.

## Uses of EtypesFactory in org.eclipse.emf.cdo.etypes

Fields in org.eclipse.emf.cdo.etypes declared as EtypesFactory
Modifier and Type
Field
Description
`static final EtypesFactory`
EtypesFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.etypes that return EtypesFactory
Modifier and Type
Method
Description
`EtypesFactory`
EtypesPackage.`getEtypesFactory()`
Returns the factory that creates the instances of the model.

## Uses of EtypesFactory in org.eclipse.emf.cdo.etypes.impl

Classes in org.eclipse.emf.cdo.etypes.impl that implement EtypesFactory
Modifier and Type
Class
Description
`class`
`EtypesFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.etypes.impl that return EtypesFactory
Modifier and Type
Method
Description
`EtypesFactory`
EtypesPackageImpl.`getEtypesFactory()`
`static EtypesFactory`
EtypesFactoryImpl.`init()`
Creates the default factory implementation.